
QGIS Application - Bug report #1631

v.db.addcol: table not updated

2009-04-05 10:55 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 11691

Description

When adding a column, the table is not updated in the canvas, until the user remove it from the canvas and reload it again. A dynamic

update is obviously preferrable.

History

#1 - 2009-04-27 08:49 AM - Redmine Admin

The problem is how to get the signal that the table was modified. Hardcoding check for v.db.addcol in the GRASS plugin is awful.

In addition I think that reload table can be useful (or even layer, note however that GRASS geometry for example, is updated whenever it is changed) for

all vectors in QGIS and for more situations (data edited from other clients).

So I would suggest 'wontfix' and add a new ticket with request to add 'reload button' to the QGIS table.

Radim

#2 - 2009-04-27 09:13 AM - Redmine Admin

I forgot to say that also the 'add column' function can be of general use for all QGIS vectors and thus it should be added to QGIS and possibly removed from

GRASS plugin. That whould also resolve the problem to get the signal that a column was added.

Radim

#3 - 2009-04-28 02:28 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to wontfix

See #1659

#4 - 2010-02-12 11:34 AM - Redmine Admin

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

#5 - 2010-02-12 11:47 AM - Giovanni Manghi

Replying to [comment:3 pcav]:
See #1659

if fixing #1659 will show newly added columns than is ok... this bug hurts a lot! :)

#6 - 2010-03-03 11:54 AM - Redmine Admin

There are 2 problems here:

1) GRASS modules do not call Vect_set_db_updated: http://trac.osgeo.org/grass/ticket/982

2) AFAIK currently there is no way to let know vector layer from provider that the data has changed. It seems quite easy to add dataModified signal to

provider and connect it in layer to setModified. The GRASS provider could emit the signal at the end of [[QgsGrassProvider]]::loadAttributes then.

#7 - 2010-03-04 02:58 AM - Giovanni Manghi

Damn, I didn't realized that fixing this would have been that hard. Meanwhile I'll change the priority, (new) users when they see this remain pretty

disappointed.

#8 - 2010-03-19 08:53 AM - Markus Neteler

Replying to [comment:6 rblazek]:

There are 2 problems here:

1) GRASS modules do not call Vect_set_db_updated: http://trac.osgeo.org/grass/ticket/982

I am willing to fix this in GRASS (for 6.4.0 and later) but need to know

which modules to modify.

Markus

#9 - 2010-03-20 09:07 AM - Markus Neteler

Replying to [comment:6 rblazek]:

There are 2 problems here:

1) GRASS modules do not call Vect_set_db_updated: http://trac.osgeo.org/grass/ticket/982

Question: would a "touch /path/to/vector/mapname/dbln" be sufficient to indicate the dbln file as updated?

#10 - 2010-03-25 12:15 AM - Redmine Admin

Yes, touch would work but:
    -  Is it portable? I think that it is always better to avoid UNIX specific commands even if it is already requirement.

    -  It is maybe better to keep functionality in one place. An option can be added to v.db.connect, Vect_set_db_updated() called form v.db.connect and

v.db.connect called from scripts.

#11 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#12 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#13 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#14 - 2013-09-09 05:45 AM - Paolo Cavallini

- Assignee deleted (nobody -)

- Status changed from Feedback to Open

- Pull Request or Patch supplied set to No

#15 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#16 - 2016-05-18 05:41 AM - Radim Blazek

- Status changed from Open to Closed

New columns can now be added via standard QGIS table editing interface, in which case, the new column appears immediately in the table.
